internal-sales-invoices-line-items-workers-update

Source

  • Repository: jef-systems/jef-sales-invoices-backend

  • Source Run ID: 24009064841

  • Source SHA: 92f7d367e27d34a8feb772a445da302f33a286af

  • Module: sales-invoices

  • Documentation Scope: async

  • Lambda: jef-sales-invoices-patch-65

Endpoint

  • API Name: jef-sales-invoices

  • Action Name: patch

  • Method: PATCH

  • Scope Label: Async

  • Resource Path: /internal-sales-invoices-line-items-workers-update

  • Complete Endpoint: https://f85p4su499.execute-api.ap-southeast-1.amazonaws.com/prod/internal-sales-invoices-line-items-workers-update

  • Lambda ARN: arn:aws:lambda:ap-southeast-1:246715082475:function:jef-sales-invoices-patch-65

  • curl payload mode: json_body

API Gateway Description

Function: jef-sales-invoices-patch-65
API Name: jef-sales-invoices
Action: patch
Method: PATCH
Resource Path: /internal-sales-invoices-line-items-workers-update

Payload:
- job_id: job-uuid

Response:
- ok: true
- item: {}

Request Payload

{
  "job_id": "job-uuid"
}

Response

{
  "ok": "true",
  "item": "{}"
}

CMD curl

curl -X PATCH "https://f85p4su499.execute-api.ap-southeast-1.amazonaws.com/prod/internal-sales-invoices-line-items-workers-update" -H "Content-Type: application/json" --data-raw "{\"job_id\": \"job-uuid\"}"

PowerShell curl

curl.exe -X PATCH "https://f85p4su499.execute-api.ap-southeast-1.amazonaws.com/prod/internal-sales-invoices-line-items-workers-update" -H "Content-Type: application/json" --data-raw '{"job_id": "job-uuid"}'